petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSectionSymRegister

Adds a new section symmetry implementation

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionSymRegister(const char sname[], PetscErrorCode (*function)(PetscSectionSym))

Not Collective

### Input Parameters

| name | - The name of a new user-defined creation routine
| create_func | - The creation routine itself

### Notes

PetscSectionSymRegister() may be called multiple times to add several user-defined vectors

### See Also

PetscSectionSymCreate(), PetscSectionSymSetType()

### Level

developer

### Location

src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages